> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pagination

> Zeal's API endpoints use cursor-based pagination through the start_at parameter.

Zeal's API endpoints use cursor-based pagination through the `start_at` parameter. `start_at` accepts an existing object ID value and returns a limited set of objects in chronological order. The `start_at` parameter returns objects listed at and after the named object.

Not all Zeal API endpoints allow pagination. You can see whether an endpoint employs pagination or not by visiting the endpoint's documentation.

Example:

```curl JSON theme={null}
curl --request GET \
     --url https://api.zeal.com/company/2d37ce1146d275fa36b108c54a7c02e8/contractorPayments?start_at=d210f054bf5b006f50aecbd7&limit=10 \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer {{testApiKey}}'

```

```json JSON theme={null}
{
    "data": [...],
    "success": true,
    "testMode": true,
    "meta": {
        "next": "https://api.zeal.com/company/2d37ce1146d275fa36b108c54a7c02e8/contractorPayments?start_at=d210f054bf5b006f50aecbe1&limit=10",
        "previous": null
    }
}
```
